.mapSearchForm input[type="text"],
.mapSearchForm select
{
	width: 100%;
	border: 1px solid #D1D1D1;
	border-radius: 3px;
	padding: 7px 10px;
	transition: background-color 150ms;
}

.mapSearchForm input[type="text"]:hover,
.mapSearchForm input[type="text"]:focus,
.mapSearchForm select:hover,
.mapSearchForm select:focus
{
	background-color: #F7F7F7;
}

#result_refinement_container
{
	padding: 50px 0 35px 0;
}

#result_refinement_container label
{
	display: block !important;
}

.advanced-options legend
{
	font-size: 16px;
	font-weight: 700;
	color: #515151;
	margin-bottom: 5px;
}

.advanced-options fieldset
{
	display: flex;
	flex-flow: row wrap;
	justify-content: flex-start;
}

.advanced-options fieldset.keyword-fieldset .custom-checkbox
{
	position: relative;
	display: flex;
	flex-flow: column nowrap;
	justify-content: center;
	align-items: center;
	width: 128px;
	height: 114px;
}

.advanced-options fieldset.keyword-fieldset label
{
	display: flex;
	flex-flow: column nowrap;
	justify-content: flex-start;
	align-items: center;
	border: 1px solid transparent;
	padding: 10px;
	border-radius: 5px;
	transition: border-color 150ms;
}

.advanced-options fieldset.keyword-fieldset .custom-checkbox input[type="checkbox"]
{
	opacity: 0;
	position: absolute;
}

.advanced-options fieldset.keyword-fieldset .custom-checkbox input[type="checkbox"] ~ label:hover,
.advanced-options fieldset.keyword-fieldset .custom-checkbox input[type="checkbox"]:focus ~ label
{
	border-color: #bdbdbd;
}

.advanced-options fieldset.keyword-fieldset .custom-checkbox input[type="checkbox"]:checked ~ label
{
	border-color: #d12421;
}

.ww_action_button1
{
	font-weight: normal !important;
}

#result_refinement_container .ww_action_button3:link,
#result_refinement_container .ww_action_button3:visited
{
	background-color: #bfbfbf;
}

#result_refinement_container .ww_action_button3:hover
{
	background-color: #D8D8D8;
}

#result_refinement_container .ww_action_button3:active
{
	background-color: #ADADAD;
}

#result_refinement_container .button-container
{
	display: flex;
	justify-content: center;
	align-items: flex-end;
	height: 65px;
}

@media screen and (max-width:992px)
{
	#result_refinement_container .button-container
	{
		height: auto;
	}
}

#result_refinement_container .button-container input[type="submit"]
{
	margin-right: 10px;
}

.mapSearchForm .toggle-button-container
{
	display: flex;
	flex-flow: row wrap;
	align-items: center;
}

#location_type_container
{
	visibility: hidden;
	height: 0;
}

/* Toggle Button */
#location_type_container .toggle-button
{
	display: inline-flex;
	justify-content: space-between;
	margin: 0 5px 10px 0;
}

#location_type_container .toggle-button > input[type="checkbox"]
{
	position: absolute;
	opacity: 0;
}

#location_type_container .toggle-button > label img
{
	max-width: 32px;
	max-height: 32px;
	margin: 0 3px;
}

#location_type_container .toggle-button > label
{
	display: flex !important;
	align-items: center;
	text-align: center;
	font-weight: normal;
	font-size: 15px;
	color: #8C8C8C;
	border: 1px solid #C6C6C6;
	padding: 5px 15px;
	width: 100%;
	background-color: transparent;
	transition: all 200ms;
}

#location_type_container .toggle-button > label:hover
{
	background-color: #F4F4F4;
}

#location_type_container .toggle-button > input[type="checkbox"]:checked ~ label
{
	background-color: #ececec;
	border: 1px solid #cac5c5;
	color: #353535;
}

#location_type_container .toggle-button > input[type="checkbox"]:focus ~ label
{
	outline: 1px solid #383838;
}

#location_type_container .toggle-button > input[type="checkbox"]:checked ~ label:hover
{
	background-color: #F4F4F4;
}

/* Custom Checkbox */
#location_type_container .toggle-button > input[type="checkbox"] ~ label::before
{
    content: '';
    width: 25px;
    height: 25px;
    background-color: transparent;
    border: 1px solid #8C8C8C;
    position: relative;
    display: inline-block;
}

#location_type_container .toggle-button > input[type="checkbox"]:checked ~ label::before
{
    content: '\2714';
}

#keyword_container .keyword-select
{
	display: inline-block;
	margin: 0 20px 10px 0;
}

#location_results_table_container
{
	margin-bottom: 100px;
}

.table-striped > tbody > tr:nth-of-type(odd)
{
	background-color: #f7f5f4;
	border-top: 1px solid #cecccc;
}

.table-striped > tbody > tr > th,
.table-striped > tbody > tr > td
{
	border-top: 1px solid #cecccc;
}

#location_results_table_container table tr td
{
	font-size: 12pt;
}

#location_results_table_container table tr td a
{
	font-weight: bold;
}

#location_results_table_container .locations-found-text
{
	text-align: center;
	margin: 15px 0 !important;
}

#location_results_table_container .location-name-container
{
	display: flex;
	align-items: flex-start;
}

#location_results_table_container .location-name-container .location-thumbnail
{
	display: inline-block;
	margin-right: 10px;
}

#location_results_table_container .location-name-container .location-name
{
	display: block;
	font-size: 13pt;
	font-weight: bold;
}

#location_results_table_container .location-distance
{
	font-weight: bold;
}

#location_results_table_container .view-details-button-column
{
	vertical-align: middle !important;
}

#location_results_table_container .location-name-container .location-thumbnail img
{
	border: 1px solid #dddddd;
}

@media screen and (max-width:1200px)
{
	#location_results_table_container table tr td
	{
		border-top: none;
	}
}

@media screen and (min-width:1024px)
{
	#location_results_table_container .location-name-container .location-thumbnail img
	{
		max-width: 100%;
	}
}

@media screen and (max-width:992px)
{
	#mapSearchForm
	{
		background-color: #eeeeee;
		text-align: center;
		padding-bottom: 1px;
	}

	.advanced-options
	{
		margin: 10px;
	}

	#result_refinement_container
	{
		margin-top: 15px;
	}

	#result_refinement_container .button-container
	{
		justify-content: center;
	}

	#result_refinement_container input[type="text"],
	#result_refinement_container select
	{
		display: block;
		margin: 0 auto 15px auto;
	}

	#location_results_table_container table tr td:first-of-type
	{
		padding-top: 20px;
	}

	#location_results_table_container table tr td:last-of-type
	{
		padding-bottom: 20px;
	}

	#location_results_table_container .location-name-container .location-thumbnail img
	{
		max-width: 100%;
	}

	.md-centered
	{
		float: none !important;
		clear: both;
		display: block !important;
		margin-left: auto;
		margin-right: auto;
		text-align: center;
	}
}

@media screen and (max-width:480px)
{
	#mapSearchForm
	{
		padding-bottom: 25px;
	}

	#result_refinement_container .button-container input[type="submit"]
    {
    	margin-bottom: 5px;
    }
}
